[WMDE-Fundraising] Prepare server configuration and deployment scripts
Closed, ResolvedPublic25 Story Points

Description

When the VMs are set up by plusserver, we need to do the following steps on each one:

  • Create a deployment user (so subsequent deploys by different people won't run into permission problems with the git repo). that use also has to be in the same group as nginx. All following steps that don't have a [root] marker have to be performed as that user,
  • Check out the FundraisingFrontend git repo
  • Install composer binary
  • Run composer install and npm build-js
  • Create a configuration file with the database credentials and other settings
  • Use vendor/bin/doctrine orm:schema-tool:create to create the database tables
  • [root] create an nginx configuration for the site (document root, rewrite to exclude index.php, PHP 7 stuff)
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW added subscribers: Tobi_WMDE_SW, Aklapper.
Tobi_WMDE_SW set Security to None.Jan 7 2016, 11:05 AM
Tobi_WMDE_SW edited a custom field.
gabriel-wmde updated the task description. (Show Details)Mar 16 2016, 3:26 PM
gabriel-wmde renamed this task from [WMDE-Fundraising] Set up server for staging and production to [WMDE-Fundraising] Prepare server configuration and deployment scripts.Apr 20 2016, 8:58 AM
gabriel-wmde changed the point value for this task from 30 to 25.
gabriel-wmde closed this task as Resolved.
gabriel-wmde claimed this task.
gabriel-wmde added a subscriber: gabriel-wmde.

Test server is set up at https://test-spenden-2.wikimedia.de/

The Ansible script that prepares the server is ready for review at https://github.com/wmde/fundraising-infrastructure/pull/62/files

Next steps (will create task for them):

  • Set up prod server
  • Set up Ansible on monitor server to do deployments so not every developer has to install Ansible in his machine.